#!/usr/bin/env python
# coding=utf-8
#*********************************************************************
# $Id$
#
# PyMPDTouchGui
# Gui for controlling the MusicPlayDaemon on Touchscreens
#
# written by Timo Boettcher
# pympdtouchgui (near) spida (.) net
#
# (C) 2007-2009 Timo Boettcher
# This is free software. You may redistribute copies of it under the
# terms of the GNU General Public License (Version 2)
# <http://www.gnu.org/licenses/gpl.html>.
# There is NO WARRANTY, to the extent permitted by law.
#
#*********************************************************************


from distutils.core import setup, Extension
import glob

setup(name='mpdtouchgui',
        version='0.320',
        description='Gui for controlling the MusicPlayDaemon on Touchscreens',
        author='Timo Boettcher',
        author_email='pympdtouchgui@spida.net',
        url='http://www.spida.net/projects/software/pympdtouchgui',
	license='GPL-2',
        classifiers=[
            'Development Status :: 4 - Beta',
            'Environment :: X11 Applications',
            'Intended Audience :: End Users/Desktop',
            'License :: GNU General Public License (GPL)',
            'Operating System :: Linux',
            'Programming Language :: Python',
            'Topic :: Multimedia :: Sound :: Players',
            ],
        packages = ['libpympdtouchgui'],
        scripts = ['pympdtouchgui'],
        data_files=[('share/doc/pympdtouchgui', ['README', 'ChangeLog', 'LICENSE']),
                    ('share/pympdtouchgui/themes/default', glob.glob('config/themes/default/*')),
                    ('share/pympdtouchgui/themes/original', glob.glob('config/themes/original/*')),
                    ('share/pympdtouchgui/themes/metal', glob.glob('config/themes/metal/*')),
                    ('etc/pympdtouchguirc', ['config/config']),
                    ('/var/lib/pympdtouchgui', ['config/clock-state'])]
	)

